/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function ($, Drupal) {
  Drupal.behaviors.leaflet_extra = {
    attach: function attach() {
      var $elements = $(once('leafletDetails', 'details'));
      $elements.on('toggle', function (event) {
        var $detail = $(event.currentTarget);
        var $leaflet = $detail.find('.leaflet-container');

        if ($leaflet.length) {
          $leaflet.data('leaflet').lMap.invalidateSize();
        }
      });
      $(document).on('leafletMapInit', function (e, settings, lMap) {
        if (settings.settings.center && settings.settings.center.lat && settings.settings.center.lon && settings.settings.radius) {
          var latlng = L.latLng(settings.settings.center.lat, settings.settings.center.lon);
          var circle = L.circle(latlng, {
            radius: parseInt(settings.settings.radius, 10) * 1000
          });
          circle.setStyle({
            fill: false
          });
          circle.addTo(lMap);
          lMap.flyToBounds(circle.getBounds());
        }
      });
    }
  };
})(jQuery, Drupal);